aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Andree <matthias.andree@gmx.de>2022-08-27 08:48:46 +0200
committerMatthias Andree <matthias.andree@gmx.de>2022-08-27 09:02:09 +0200
commitceb5a6ac27ecf89ae8d9d715917e6e25c1cf322e (patch)
treed97f553789e6d9a954782171473de1aac3210ae8
parent7d456b3ffe4438f0182ea99c7cb507151e92179e (diff)
downloadfetchmail-ceb5a6ac27ecf89ae8d9d715917e6e25c1cf322e.tar.gz
fetchmail-ceb5a6ac27ecf89ae8d9d715917e6e25c1cf322e.tar.bz2
fetchmail-ceb5a6ac27ecf89ae8d9d715917e6e25c1cf322e.zip
Add flatpak htmldoc wrapper.
-rwxr-xr-xdist-tools/htmldoc7
-rwxr-xr-xdist-tools/makerelease.pl2
2 files changed, 7 insertions, 2 deletions
diff --git a/dist-tools/htmldoc b/dist-tools/htmldoc
new file mode 100755
index 00000000..b16af17f
--- /dev/null
+++ b/dist-tools/htmldoc
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+type htmldoc >/dev/null 2>&1 && case "$(type htmldoc)" in
+*"$(realpath $(dirname $0))"*) ;; # ignore re-executing ourselves to avoid unterminated recursion
+*) exec htmldoc "$@" ;;
+esac
+exec flatpak run --filesystem=host org.msweet.htmldoc "$@"
diff --git a/dist-tools/makerelease.pl b/dist-tools/makerelease.pl
index 818e1db9..0f9a2f3b 100755
--- a/dist-tools/makerelease.pl
+++ b/dist-tools/makerelease.pl
@@ -94,8 +94,6 @@ if ($versions[0] eq $tag) {
my $pwd = `pwd`; chomp $pwd;
-$ENV{PATH} .= ":$pwd/dist-tools:$pwd/dist-tools/shipper";
-
print "Building $version release, tag $tag, previous tag $oldtag\n";
if (-d "autom4te.cache") {